﻿<%@ Page Language="C#" MasterPageFile="~/Site.Master" Title="Grid" AutoEventWireup="true" CodeBehind="GridFeatures.aspx.cs" Inherits="ASPApp.GridFeatures" %>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <div>
        <script src="http://cdn.syncfusion.com/15.2.0.46/js/web/ej.web.all.min.js"></script>
        <script src="http://cdn.syncfusion.com/15.2.0.46/js/common/ej.webform.min.js"></script>
       
        <ej:Grid ID="OrdersGrid" ClientIDMode="Static" runat="server" AllowSorting="True" AllowPaging="True" AllowGrouping="true">            
            <EditSettings AllowEditing="True" AllowAdding="True" AllowDeleting="True"></EditSettings>
            <ToolbarSettings ShowToolbar="True" ToolbarItems="add,edit,delete,update,cancel"></ToolbarSettings>
            <Columns>
                <ej:Column Field="OrderID" IsPrimaryKey="true" HeaderText="Order ID" Width="90" TextAlign="Right"/>
                <ej:Column Field="CustomerID" HeaderText="Customer ID" Width="90"/>
                <ej:Column Field="EmployeeID" HeaderText="To Salary" Width="80" TextAlign="Right" EditType="Numeric">
                </ej:Column>
                <ej:Column Field="OrderDate" HeaderText="Order Date" EditType="DateTimePicker" Format="{0: MM/dd/yyyy hh:mm:ss:ff tt}" TextAlign="Right" Width="80">
                    <DateTimeEditOptions TimeDisplayFormat="h:mm:ss:ff tt" />
                </ej:Column>    
                <ej:Column Field="ShipCountry" HeaderText="Ship Country" Width="90"/>
            </Columns>
           
        </ej:Grid>
    </div>
      
</asp:Content>

